> ## Documentation Index
> Fetch the complete documentation index at: https://developer.payrollintegrations.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payroll Platforms

> Returns a paginated list of payroll platforms

export const PaginationInfo = ({defaultSortField, sortFields = [], maxLimit = 100, defaultLimit = 20}) => {
  return <>
      <div class="border-b pb-2.5 border-gray-100 dark:border-gray-800 w-full">
      <h4>Pagination & Sorting</h4>
      </div>

      {(maxLimit || defaultLimit) && <ResponseField name="Limit">
        <ul>
          {defaultLimit && <li>Default: {defaultLimit}</li>}
          {maxLimit && <li>Maximum: {maxLimit}</li>}
        </ul>
      </ResponseField>}

      <ResponseField name="Sort Fields">
        <ul>
            {sortFields.map(field => {
    if (field == defaultSortField || sortFields.length == 1) {
      return <li key={field}> <code>{field} (Default)</code> </li>;
    } else {
      return <li key={field}> <code>{field}</code> </li>;
    }
  })}
        </ul>
      </ResponseField>
    </>;
};

<Info>
  Learn more about [Payroll
  Platforms](/api-reference/glossary#payroll-platform) in the Glossary.
</Info>

<PaginationInfo sortFields={["displayName"]} maxLimit={1000} />


## OpenAPI

````yaml GET /v1/payroll-platforms
openapi: 3.1.0
info:
  title: Payroll Integrations Public API
  description: Public API for Payroll Integrations platform
  version: '2025-10-28T20:05:03Z'
  license:
    name: MIT
servers:
  - url: https://api.payrollintegrationsapp.com
    description: Prod environment
  - url: https://demo1-api.payrollintegrationsdemo.com
    description: Demo environment
  - url: https://demo2-api.payrollintegrationsdemo.com
    description: Demo environment
  - url: https://demo3-api.payrollintegrationsdemo.com
    description: Demo environment
security:
  - bearerAuth: []
paths:
  /v1/payroll-platforms:
    get:
      tags:
        - Payroll Platforms
      summary: List payroll platforms
      description: Returns a paginated list of payroll platforms
      operationId: listPayrollPlatforms
      responses:
        '200':
          description: List of payroll platforms
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedPayrollPlatformList'
              example:
                data:
                  - id: 990e8400-e29b-41d4-a716-446655440004
                    displayName: Example Payroll Platform
                    supports:
                      payroll: true
                      census: true
                      changeSets: false
                    onboarding:
                      selfGuided: true
                meta:
                  limit: 10
                  offset: 0
                  sort: name
                  currentCount: 1
                  totalCount: 1
                  filters: {}
        '401':
          description: Unauthorized - authentication credentials are missing or invalid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    PaginatedPayrollPlatformList:
      type: object
      required:
        - data
        - meta
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PayrollPlatform'
        meta:
          $ref: '#/components/schemas/PaginationMeta'
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Error message describing what went wrong
        errors:
          type: array
          description: Optional array of detailed error messages
          items:
            type: string
    PayrollPlatform:
      type: object
      required:
        - id
        - displayName
        - supports
        - onboarding
      properties:
        id:
          type: string
          format: uuid
        displayName:
          type: string
        supports:
          type: object
          required:
            - census
            - payroll
            - changeSets
          properties:
            census:
              type: boolean
            payroll:
              type: boolean
            changeSets:
              type: boolean
        onboarding:
          type: object
          required:
            - selfGuided
          properties:
            selfGuided:
              type: boolean
              description: >-
                Whether the onboarding flow be finished without the assistance
                of the a Payroll Integrations representative.
    PaginationMeta:
      type: object
      required:
        - offset
        - limit
        - currentCount
        - totalCount
        - sort
        - filters
      properties:
        offset:
          type: integer
          minimum: 0
          description: Number of results to skip from the beginning
        limit:
          type: integer
          minimum: 1
          description: Maximum number of results per page
        currentCount:
          type: integer
          minimum: 0
          description: Number of results in current page
        totalCount:
          type: integer
          minimum: 0
          description: Total number of results
        sort:
          type: string
          pattern: ^(-?\w{1,100})(?:,(-?\w{1,100})){0,2}$
          description: >-
            Comma-separated list of fields to sort by. Prefix with - for
            descending order
        filters:
          type: object
          additionalProperties: true
          description: >-
            The filters applied to the request. Contains field names as keys
            with their filter values or operator-based filter objects as values

````